<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.yd.csf.service.dao.CommissionSqlTemplateMapper">

    <select id="page"
            resultType="com.yd.csf.feign.response.commissionsqltemplate.ApiCommissionSqlTemplatePageResponse">
        select * from commission_sql_template cst
        <where>
            <if test="request.sqlTemplateName != null and request.sqlTemplateName != ''">
                and cst.sqlTemplateName like concat('%', #{request.sqlTemplateName}, '%')
            </if>
            and cst.is_deleted = 0
        </where>
    </select>
</mapper>
